package View.MainFrame;

import java.awt.Color;

public class MyColor {

    private static Color[] oLightTheme = {new Color(76, 78, 82), new Color(255, 253, 250), new Color(173, 216, 230)};
    private static Color[] oDarkTheme = {new Color(255, 253, 250), new Color(76, 78, 82), new Color(47, 47, 47)};

    //Color for separators is always the same.
    private static Color oColorSeparators = new Color(47, 47, 47);

    public static Color[] getTheme(int iThemeNr) {
        Color[] oThemeToReturn = oLightTheme;
        switch (iThemeNr) {
            case (0): {
                oThemeToReturn = oLightTheme;
            }break;
            case (1): {
                oThemeToReturn = oDarkTheme;
            }break; 
        }
        return oThemeToReturn;
    }

    public static Color getSeparatorsColor() {
        return oColorSeparators;
    }
}